﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace Northwind.Common
{
    public partial class TransactionMarker : UserControl
    {
        public TransactionMarker(string value, string imageFileName)
        {
            InitializeComponent();

            ValueTextBlock.Text = value;

            if (imageFileName.Contains("Yellow"))
                ValueTextBlock.Foreground = new SolidColorBrush(Colors.Black);

            MarkerImage.Source = new BitmapImage(new Uri(imageFileName, UriKind.RelativeOrAbsolute));
            ShowStoryboard.Begin();
        }
    }
}
