﻿using System;
using System.Linq;
using System.Windows;
using Northwind.Common;

namespace Northwind.Modules.Orders
{
    public class OrdersDataTemplateSelector : Telerik.Windows.Controls.DataTemplateSelector
    {
        public Telerik.Windows.Controls.HierarchicalDataTemplate OrderModelTemplate { get; set; }
        public DataTemplate OrderDetailModelTemplate { get; set; }

        public OrdersDataTemplateSelector()
        {

        }

        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            base.SelectTemplate(item, container);

            if(item is OrderModel)
            {
                return OrderModelTemplate;

            }
            else if (item is OrderDetailModel)
            {
                return OrderDetailModelTemplate;
            }

            return null;
        }
    }
}
