﻿using System;
using GalaSoft.MvvmLight;
using System.ComponentModel.Composition;
using MVVM.Framework;

namespace Northwind.Modules.Orders
{
    [Export]
    public class OrderRootTemplateVM : ViewModelBase
    {
        private string _headerInfo;

        #region ctor

        public OrderRootTemplateVM()
        {
            _headerInfo = "Northwind";
        }

        #endregion

        public string HeaderInfo
        {
            get { return _headerInfo; }
            set
            {
                if (_headerInfo != value)
                {
                    _headerInfo = value;
                    RaisePropertyChanged(ReflectionUtility.GetPropertyName(() => HeaderInfo));
                }
            }
        }

    }
}
