﻿using System;

namespace Northwind.Common
{
    public class AppRaiseErrorEvent
    {
        public Exception Ex;
        // Adding this because there are instances of ErrorWindow that pass a message.
        public string ErrorMessage;


        #region Ctor

        // This event is used to pass Events to the HandelErrorMessage in the app.xaml.cs
        public AppRaiseErrorEvent(Exception ex, string errorMessage)
        {
            Ex = ex;
            ErrorMessage = errorMessage;
        }

        #endregion
    }
}
